<?php 
class WCPS_Coupon 
{
	var $id;
	public function __construct()
	{
	}
	public function create_coupon($user_email, $poduct_ids, $amount, $quantity = 1)
	{
		$coupon_code = time()."-".rand(6374930, 9826372); // Code
		$discount_type = 'fixed_product'; // Type: fixed_cart, percent, fixed_product, percent_product
							
		$coupon = array(
			'post_title' => $coupon_code,
			'post_content' => '',
			'post_status' => 'publish',
			'post_author' => 1,
			'post_type'		=> 'shop_coupon'
		);
							
		$new_coupon_id = wp_insert_post( $coupon );
							
		// Add meta
		update_post_meta( $new_coupon_id, 'discount_type', $discount_type );
		update_post_meta( $new_coupon_id, 'coupon_amount', $amount );
		update_post_meta( $new_coupon_id, 'individual_use', 'no' );
		update_post_meta( $new_coupon_id, 'product_ids', $poduct_ids );
		update_post_meta( $new_coupon_id, 'exclude_product_ids', '' );
		update_post_meta( $new_coupon_id, 'usage_limit', '1' );
		update_post_meta( $new_coupon_id, 'limit_usage_to_x_items', $quantity );
		update_post_meta( $new_coupon_id, 'expiry_date', '' );
		update_post_meta( $new_coupon_id, 'apply_before_tax', 'yes' );
		update_post_meta( $new_coupon_id, 'free_shipping', 'no' );
		update_post_meta( $new_coupon_id, 'customer_email', $user_email );
		
		$this->id = $new_coupon_id;
		return $coupon_code;
	}
	public function get_id()
	{
		return $this->id;
	}
	public function get_order_item_coupon_code($item)
	{
		$copon_code = false;
		//wcps_var_dump($item->get_meta_data());
		if(is_object($item) && get_class($item) == 'WC_Order_Item_Meta')
			$meta_data = $item->meta;	
		else 
			$meta_data = version_compare( WC_VERSION, '2.7', '<' ) ? $item["item_meta"]  : $item->get_meta_data();
		
		if(!isset($meta_data))
			return $copon_code;
		
		foreach($meta_data as $key => $single_meta)
		{
			if(!is_object($single_meta))
			{
				if($key == '_wcps_coupon_code')
					$copon_code = $single_meta[0];
			}
			else
			{
				if($single_meta->key == '_wcps_coupon_code')
					$copon_code =  $single_meta->value;
			}
		}
		
		return $copon_code;
	}
}
?>