"use strict";

jQuery(document).ready(function()
{
	var html_string = '';
	
	jQuery("#wcps_check_all_users_resets").on('click',wcps_onCheckUnckecAllClick);
	jQuery("#wcps_reset_presales_button").on('click',wcps_resetTotalPresales);
	jQuery.each(wcps.customers, function( key, user )
	{
		
		html_string += '<tr class="wcps-user-table-row">';
			html_string += '<td class="id column-reset"><input type="checkbox" class="wcps_reset_checkbox" name="wcps_reset_user_counter['+user.user_id+']" value="yes"></input></td>';
			html_string += '<td class="id column-id"><a href="'+wcps.admin_url+user.user_id+'&action=edit" target="_blank">'+user.user_id+'</a></td>';
			html_string += '<td class="name column-name">'+user.name+'</td>';
			html_string += '<td class="surname column-surname">'+user.surname+'</td>';
			html_string += '<td class="email column-email">'+user.email+'</td>';
			html_string += '<td class="total column-total">'+user.quantity+'</td>';
		html_string += '</tr>';
	});  
	jQuery("#wcps-customer-table-body").html(html_string);
	jQuery('#wcps-customers-table').DataTable( {
						"pagingType": "full_numbers",
						 "pageLength": 10,
						 "order": [[ 0, "desc" ]], //asc
						 "aoColumnDefs": [
							  { 'bSortable': false}
						   ]
					} );
});
function wcps_resetTotalPresales(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	jQuery("#wcps_reset_total_presales").val("yes");
	jQuery("#wcps_total_presales").val(0);
}
function wcps_onCheckUnckecAllClick(event)
{
	event.preventDefault();
	event.stopImmediatePropagation();
	var select = true;
	jQuery('#wcps-customers-table tr.wcps-user-table-row').each(function(index, value)
	{
		if(index == 0)
			select = !jQuery(value).find('.wcps_reset_checkbox').prop('checked');
		
		jQuery(value).find('.wcps_reset_checkbox').prop('checked', select);
		
	});
}