"use strict";

function wcps_startTimer(duration, display, callback) 
{
    var timer = duration;
	var count = duration;
	var ended = false;
    counter = setInterval(function () 
	{
		var days        = Math.floor(timer/24/60/60);
		var hoursLeft   = Math.floor((timer) - (days*86400));
		var hours       = Math.floor(hoursLeft/3600);
		var minutesLeft = Math.floor((hoursLeft) - (hours*3600));
		var minutes     = Math.floor(minutesLeft/60);
		var remainingSeconds = timer % 60;
		if (remainingSeconds < 10) {
			remainingSeconds = "0" + remainingSeconds; 
		}
		
		hours = hours < 10 ? "0" + hours : hours;
        minutes = minutes < 10 ? "0" + minutes : minutes;
        seconds = seconds < 10 ? "0" + seconds : seconds;
        days = days < 10 ? "0" + days : days;
		count--;
		
		//display.textContent = days + ":" + hours + ":" + minutes + ":" + remainingSeconds;
		display.textContent = "";
		if(days != "00")
			display.textContent = days + ":";
		display.textContent += hours + ":" + minutes + ":" + remainingSeconds;
		
		if (--timer < 0) {
            timer = duration;
        }
		if((count == 0 || count <0) && !ended)
		{
			clearInterval(counter);
			//location.reload();
			callback();
			ended = true;
			return;
		} 
		
    }, 1000);
	
	
}