"use strict";
jQuery(document).ready(function()
{
	
	jQuery('.wcps_pre_sale_info_box').each(function(index, elem)
	{
		var id = jQuery(elem).data('id');
		if(wcps_shop_loop[id].show_progress_bar == 'true')
		{
			jQuery("#wcps-progress-bar-background-"+id).css('background', wcps_shop_loop[id].background_color);
			jQuery("#wcps-progress-bar-"+id).css('background', wcps_shop_loop[id].background);
			jQuery("#wcps-progress-bar-"+id).css('width', wcps_shop_loop[id].width);
		}
		
		if(wcps_shop_loop[id].difference <= 0)
			return;
			
		var wcps_difference = wcps_shop_loop[id].difference;
			
				
			if(wcps_difference > 0)
			{
				 var end_date = new Date();
				 end_date.setSeconds(end_date.getSeconds() + wcps_difference);
				 jQuery('.wcps-clock'+id).countdown(wcsp_data_formatter(end_date), function(event) {
					if(wcps_shop_loop[id].timer_disable_week_counter == 'yes')
						event.offset.days = event.offset.weeks > 0 ? (event.offset.weeks * 7 ) + event.offset.days: event.offset.days;
					event.offset.days =  event.offset.days < 10 ? "0"+event.offset.days :  event.offset.days;
					 
					 var time_string = "";
					 if(wcps_shop_loop[id].timer_disable_week_counter == 'no')
						time_string += event.offset.weeks > 0 ? '<span class="wcps_timer_date_value wcsa_weeks_value">%w</span> <span class="wcps_timer_date_label wcsa_weeks_label">'+wcps_shop_loop[id].weeks_text+'</span> ' : '';
						
						time_string += event.offset.days > 0 ? '<span class="wcps_timer_date_value wcsa_days_value">'+event.offset.days+'</span> <span class="wcps_timer_date_label wcsa_days_label">'+wcps_shop_loop[id].days_text+'</span> ': '';
						time_string += event.offset.hours > 0 ? '<span class="wcps_timer_date_value wcsa_hour_value">%H</span> <span class="wcps_timer_date_label wcsa_hour_label">'+wcps_shop_loop[id].hour_text+'</span> ': '';
						time_string += event.offset.minutes > 0 ? '<span class="wcps_timer_date_value wcsa_minute_value"' + (wcps_shop_loop[id].timer_disable_minute_counter != 'no' ? ' style="display:none;" ' : '') + '>%M</span> <span ' + (wcps_shop_loop[id].timer_disable_minute_counter != 'no' ? ' style="display:none;"' : '') + ' class="wcps_timer_date_label wcsa_minute_label">'+wcps_shop_loop[id].min_text+'</span> ': '';
						time_string += '<span class="wcps_timer_date_value wcsa_second_value" ' + (wcps_shop_loop[id].timer_disable_second_counter != 'no' ? ' style="display:none;" ' : '')+ '>%S</span> <span ' + (wcps_shop_loop[id].timer_disable_second_counter != 'no' ? ' style="display:none;" ' : '') + ' class="wcps_timer_date_label wcsa_second_label">'+wcps_shop_loop[id].sec_text+'</span>';
					 
					 var $this = jQuery(this).html(event.strftime(time_string));
					}).on('finish.countdown',function(event){setTimeout(function(){jQuery(this).parent().addClass('disabled'); location.reload();}, 5000);});
				
			}
	});
	
});